### Virtual Method

# Foundry LlmModel chat

#### Declaration [src]

    DexFuture*
    chat (
      FoundryLlmModel* self,
      const char* system
    )

#### Description [src]

Start a new conversation with the model.

#### Parameters

`system`

  Type: `const char*`

  The system prompt for the chat.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryLlmConversation` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.